Aggregates page views
GET
https://api.vercel.com/v1/query/web-analytics/visits/aggregateCounts pageviews on a project, within the requested date range. Results are either aggregated or broken down over time. Results can additionally be broken down by one dimension, and filtered by multiple dimensions.
https://api.vercel.com/v1/query/web-analytics/visits/aggregate
const response = await fetch('https://api.vercel.com/v1/query/web-analytics/visits/aggregate?projectId=string&by=[]&since=value&until=value&limit=123&filter=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "data": [ { "browserName": "Example Name", "country": "string", "deviceType": "string", "environment": "string", "flags": "string", "osName": "Example Name", "projectId": "example_id", "projectName": "Example Name", "referrerHostname": "Example Name", "requestHostname": "Example Name", "requestPath": "string", "route": "string", "utmCampaign": "string", "utmContent": "string", "utmMedium": "string", "utmSource": "string", "utmTerm": "string", "visitorId": "example_id", "timestamp": "2024-01-01T00:00:00Z" } ], "query": { "filter": "string", "groupBy": [], "limit": "123", "since": "string", "until": "string" }, "version": "123"}AuthorizationbearerToken
Default authentication mechanism
Up to two dimensions used to break down results.
At most one time granularity is allowed: hour, day, week, month, year.
Other dimensions: country, deviceType, environment, requestPath, referrerHostname, osName, browserName, route, utmSource, utmMedium, utmCampaign, utmContent, utmTerm.
JSON dimensions: flags. Used bare, it breaks down results by key, for example flags returns one group per flag name. With a key, it breaks down results by that key's value, for example flags/beta_banner. Wrap keys containing characters other than letters, digits, and underscores in single quotes, for example flags/'my-flag'.
Timestamp in milliseconds, or a valid Date string.
Selects data from (including) this date and time.
Will be adjusted according to the desired time granularity.
Timestamp in milliseconds, or a valid Date string.
Selects data until (including) this date.
Will be adjusted according to the desired time granularity.
Number of distinct results, default to 10. Other results are grouped into "Others" group.
OData-compliant filter. Encode the value when sending it in a URL.
Allows filtering on one or multiple dimensions. By default, filters for production environment only.
Supported dimensions: country, deviceType, environment, requestPath, referrerHostname, osName, browserName, route, utmSource, utmMedium, utmCampaign, utmContent, utmTerm.
JSON dimensions filtered by key: flags/ , for example flags/beta_banner eq 'true'. Wrap keys containing characters other than letters, digits, and underscores in single quotes, for example flags/'my-flag' eq 'true'.
Supported operations include eq, ne, in, and logical operators and, or, not with parentheses. Functions such as startswith are supported by the OData parser.